Projects / PRepS

PRepS

PRepS is a problem reporting and tracking system similar to Gnats, only simpler to use. Currently, PRepS is best used with smaller projects or projects where all developers have access to the same network. For more "remote" projects, Gnats may be a better choice.

Tags
Licenses

Recent releases

  •  04 Sep 2007 11:24

    Release Notes: The ability for users to define their own data fields for storing with problem reports was added.

    •  02 Jan 2006 00:46

      Release Notes: Various updates to the database schema. The main problem report window has been completely redesigned.

      •  16 May 2005 00:34

        Release Notes: This release fixes minor bugs in the problem report dialog. The user documentation has been updated.

        •  12 May 2005 04:13

          Release Notes: An issue with the problem report dialog where the "Assigned To" combo was not being initialized properly was fixed.

          •  11 May 2005 09:20

            Release Notes: This release combines the entry and update dialogs into a single dialog.

            Recent comments

            26 Aug 2001 18:42 stuffle

            PostgreSQL v7.1.x
            It has been brought to my attention that there are some problems using PRepS with PostgreSQL v7.1.x.

            Specifically, if when opening a problem report for editing, and error message is generated, and the audit trail is not.

            Also, when using e-mail notification, several un-transformed e-mails are sent out (IOW, they are just the templates, without any information in them).

            The former problem is fixed in the latest version of libPRepS and PRepS. The latter version is fixed via a patch that is available at the PRepS web site.

            14 Oct 2000 00:16 stuffle

            PostgreSQL v7.x
            Starting with version 1.4.5, I have migrated PRepS to PostgreSQL v7.x. If you have old PRepS databases running on PostgreSQL v6.5.x, I highly suggest installing PostgreSQL v7.x, and migrating your existing databases to the newer PostgreSQL version.

            As an alternative, you may make some simple modifications to some files in the "scripts" directory to make PRepS compatible with PostgreSQL v6.5.x. However, I highly suggest upgrading to v7.x

            Either way, refer to the HTML documentation for details on how to migrate existing data, or modify PRepS to work with PostgreSQL v6.5.x.

            24 May 2000 08:01 stuffle

            PostgreSQL v7.0
            If you are using PRepS v1.2.4 with PostgreSQL v7.0, I have a source patch available at the PRepS web site.

            21 May 2000 16:38 stuffle

            PostgreSQL v7.0 with PRepS
            PRepS was developed and tested against PostgreSQL v6.5.3. I have installed PostgreSQL v7.0 on one of my systems and tested PRepS there. It works. However there are some minor but very important modifications that need to be made to the PRepS database creation scripts.

            If you are running PRepS and plan to migrate to PostgreSQL v7.0, please read the important information on the PRepS web page before restoring your PRepS database.

            Also, if you are planning on installing PRepS on a system that has PostgreSQL v7.0 installed on it, please see the same documentation for important script changes that will need to be made.

            Screenshot

            Project Spotlight

            OpenStack4j

            A Fluent OpenStack client API for Java.

            Screenshot

            Project Spotlight

            TurnKey TWiki Appliance

            A TWiki appliance that is easy to use and lightweight.